Index: src/Parser/FormatParser_Parameters.cpp
===================================================================
--- src/Parser/FormatParser_Parameters.cpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/FormatParser_Parameters.cpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -87,5 +87,5 @@
  * @param instance parameter to add
  */
-void FormatParser_Parameters::appendParameter(Parameter *instance)
+void FormatParser_Parameters::appendParameter(ParserParameter *instance)
 {
   storage->registerInstance(instance);
@@ -109,5 +109,5 @@
  * @return pointer to instance with this \a _name
  */
-Parameter *FormatParser_Parameters::getParameter(const std::string &_name) const
+ParserParameter *FormatParser_Parameters::getParameter(const std::string &_name) const
 {
   return storage->getByName(_name);
@@ -187,5 +187,5 @@
           +key+"' with value "+valuestream.str()+"!");
       if (params.haveParameter(key)) {
-        Parameter *instance = params.getParameter(key);
+        ParserParameter *instance = params.getParameter(key);
         instance->set(valuestream.str());
       }
Index: src/Parser/FormatParser_Parameters.hpp
===================================================================
--- src/Parser/FormatParser_Parameters.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/FormatParser_Parameters.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -20,5 +20,5 @@
 #include "Parser/Parameters/ParameterStorage.hpp"
 
-class Parameter;
+class ParserParameter;
 
 /** This class is an interface to the internal parameters of any FormatParser.
@@ -41,7 +41,7 @@
 
   // accessing parameters in storage
-  void appendParameter(Parameter *instance);
+  void appendParameter(ParserParameter *instance);
   bool haveParameter(const std::string &_name) const;
-  Parameter *getParameter(const std::string &_name) const;
+  ParserParameter *getParameter(const std::string &_name) const;
 
 protected:
Index: src/Parser/Parameters/ContinuousParameter.hpp
===================================================================
--- src/Parser/Parameters/ContinuousParameter.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/ContinuousParameter.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -23,5 +23,5 @@
  */
 template <typename T>
-class ContinuousParameter : public Parameter, public ContinuousValue<T>
+class ContinuousParameter : public ParserParameter, public ContinuousValue<T>
 {
 public:
@@ -37,5 +37,5 @@
       { return !((*this)==(_instance)); }
 
-  Parameter* clone() const;
+  ParserParameter* clone() const;
 
 private:
Index: src/Parser/Parameters/ContinuousParameter_impl.hpp
===================================================================
--- src/Parser/Parameters/ContinuousParameter_impl.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/ContinuousParameter_impl.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -23,5 +23,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name) :
-  Parameter(_name),
+  ParserParameter(_name),
   ContinuousValue<T>(range<T>(std::numeric_limits<T>::min(), std::numeric_limits<T>::max()))
 {};
@@ -34,5 +34,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name, const T &_value) :
-  Parameter(_name),
+  ParserParameter(_name),
   ContinuousValue<T>(range<T>(std::numeric_limits<T>::min(), std::numeric_limits<T>::max()))
 {
@@ -47,5 +47,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name, const range<T> &_ValidRange) :
-  Parameter(_name),
+  ParserParameter(_name),
   ContinuousValue<T>(_ValidRange)
 {};
@@ -59,5 +59,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name, const range<T> &_ValidRange, const T &_value) :
-  Parameter(_name),
+  ParserParameter(_name),
   ContinuousValue<T>(_ValidRange)
 {
@@ -83,5 +83,5 @@
   status = status &&
       (*dynamic_cast<const ContinuousValue<T> *>(this) == dynamic_cast<const ContinuousValue<T> &>(_instance));
-  status = status && (Parameter::getName() == _instance.Parameter::getName());
+  status = status && (ParserParameter::getName() == _instance.ParserParameter::getName());
   return status;
 }
@@ -92,7 +92,7 @@
  */
 template<typename T>
-Parameter* ContinuousParameter<T>::clone() const
+ParserParameter* ContinuousParameter<T>::clone() const
 {
-  ContinuousParameter<T> *instance = new ContinuousParameter<T>(Parameter::getName(), ContinuousValue<T>::getValidRange());
+  ContinuousParameter<T> *instance = new ContinuousParameter<T>(ParserParameter::getName(), ContinuousValue<T>::getValidRange());
   instance->setValue(ContinuousValue<T>::getValue());
   return instance;
Index: src/Parser/Parameters/ContinuousValue.hpp
===================================================================
--- src/Parser/Parameters/ContinuousValue.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/ContinuousValue.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -27,5 +27,5 @@
  */
 template <class T>
-class ContinuousValue : virtual public ValueInterface
+class ContinuousValue : virtual public ParserValueInterface
 {
   //!> unit test needs to have access to internal values
Index: src/Parser/Parameters/DiscreteParameter.hpp
===================================================================
--- src/Parser/Parameters/DiscreteParameter.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/DiscreteParameter.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -25,5 +25,5 @@
  */
 template <typename T>
-class DiscreteParameter : public Parameter, public DiscreteValue<T>
+class DiscreteParameter : public ParserParameter, public DiscreteValue<T>
 {
 public:
@@ -38,5 +38,5 @@
       { return !((*this)==(_instance)); }
 
-  Parameter* clone() const;
+  ParserParameter* clone() const;
 
 private:
Index: src/Parser/Parameters/DiscreteParameter_impl.hpp
===================================================================
--- src/Parser/Parameters/DiscreteParameter_impl.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/DiscreteParameter_impl.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -23,5 +23,5 @@
 template<typename T>
 DiscreteParameter<T>::DiscreteParameter(const std::string &_name) :
-  Parameter(_name)
+  ParserParameter(_name)
 {};
 
@@ -33,5 +33,5 @@
 template<typename T>
 DiscreteParameter<T>::DiscreteParameter(const std::string &_name, const std::vector<T> &_ValidValues) :
-  Parameter(_name),
+  ParserParameter(_name),
   DiscreteValue<T>(_ValidValues)
 {};
@@ -45,5 +45,5 @@
 template<typename T>
 DiscreteParameter<T>::DiscreteParameter(const std::string &_name, const std::vector<T> &_ValidValues, const T &_value) :
-  Parameter(_name),
+  ParserParameter(_name),
   DiscreteValue<T>(_ValidValues)
 {
@@ -69,5 +69,5 @@
   status = status &&
       (*dynamic_cast<const DiscreteValue<T> *>(this) == dynamic_cast<const DiscreteValue<T> &>(_instance));
-  status = status && (Parameter::getName() == _instance.Parameter::getName());
+  status = status && (ParserParameter::getName() == _instance.ParserParameter::getName());
   return status;
 }
@@ -78,7 +78,7 @@
  */
 template<typename T>
-Parameter* DiscreteParameter<T>::clone() const
+ParserParameter* DiscreteParameter<T>::clone() const
 {
-  DiscreteParameter<T> *instance = new DiscreteParameter<T>(Parameter::getName(), DiscreteValue<T>::getValidValues());
+  DiscreteParameter<T> *instance = new DiscreteParameter<T>(ParserParameter::getName(), DiscreteValue<T>::getValidValues());
   instance->setValue(DiscreteValue<T>::getValue());
   return instance;
Index: src/Parser/Parameters/DiscreteValue.hpp
===================================================================
--- src/Parser/Parameters/DiscreteValue.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/DiscreteValue.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -27,5 +27,5 @@
  */
 template <class T>
-class DiscreteValue : virtual public ValueInterface
+class DiscreteValue : virtual public ParserValueInterface
 {
   //!> unit test needs to have access to internal values
Index: src/Parser/Parameters/Parameter.hpp
===================================================================
--- src/Parser/Parameters/Parameter.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/Parameter.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -6,6 +6,6 @@
  */
 
-#ifndef PARAMETER_HPP_
-#define PARAMETER_HPP_
+#ifndef PARSERPARAMETER_HPP_
+#define PARSERPARAMETER_HPP_
 
 // include config.h
@@ -24,16 +24,16 @@
  *
  */
-class Parameter : virtual public ValueInterface, public Clone<Parameter>
+class ParserParameter : virtual public ParserValueInterface, public Clone<ParserParameter>
 {
 public:
-  Parameter(const std::string &_name) : name(_name) {}
-  virtual ~Parameter() {}
+  ParserParameter(const std::string &_name) : name(_name) {}
+  virtual ~ParserParameter() {}
 
   const std::string &getName() const { return name; }
 
-  virtual Parameter* clone() const=0;
+  virtual ParserParameter* clone() const=0;
 
 private:
-  Parameter();
+  ParserParameter();
 
 private:
@@ -42,3 +42,3 @@
 
 
-#endif /* PARAMETER_HPP_ */
+#endif /* PARSERPARAMETER_HPP_ */
Index: src/Parser/Parameters/ParameterStorage.cpp
===================================================================
--- src/Parser/Parameters/ParameterStorage.cpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/ParameterStorage.cpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -37,5 +37,5 @@
 {
   for (const_iterator iter = _storage.getBeginIter(); iter != _storage.getEndIter(); ++iter) {
-    Parameter *instance = (iter->second)->clone();
+    ParserParameter *instance = (iter->second)->clone();
     registerInstance(instance);
   }
@@ -49,3 +49,3 @@
 }
 
-CONSTRUCT_REGISTRY(Parameter)
+CONSTRUCT_REGISTRY(ParserParameter)
Index: src/Parser/Parameters/ParameterStorage.hpp
===================================================================
--- src/Parser/Parameters/ParameterStorage.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/ParameterStorage.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -23,5 +23,5 @@
  *
  */
-class ParameterStorage : public Registry<Parameter>
+class ParameterStorage : public Registry<ParserParameter>
 {
 public:
Index: src/Parser/Parameters/StringParameter.cpp
===================================================================
--- src/Parser/Parameters/StringParameter.cpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/StringParameter.cpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -31,5 +31,5 @@
  */
 StringParameter::StringParameter(const std::string &_name) :
-  Parameter(_name),
+  ParserParameter(_name),
   ValueSet(false)
 {}
@@ -41,5 +41,5 @@
  */
 StringParameter::StringParameter(const std::string &_name, const std::string &_value) :
-  Parameter(_name),
+  ParserParameter(_name),
   ValueSet(true),
   value(_value)
@@ -63,5 +63,5 @@
   if (ValueSet && _instance.ValueSet)
     status = status && (value == _instance.value);
-  status = status && (Parameter::getName() == _instance.Parameter::getName());
+  status = status && (ParserParameter::getName() == _instance.ParserParameter::getName());
   return status;
 }
@@ -71,7 +71,7 @@
  * @return copy of this instance with same value
  */
-Parameter* StringParameter::clone() const
+ParserParameter* StringParameter::clone() const
 {
-  StringParameter *instance = new StringParameter(Parameter::getName(), get());
+  StringParameter *instance = new StringParameter(ParserParameter::getName(), get());
   return instance;
 }
Index: src/Parser/Parameters/StringParameter.hpp
===================================================================
--- src/Parser/Parameters/StringParameter.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/StringParameter.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -25,5 +25,5 @@
  *
  */
-class StringParameter : public Parameter,  virtual public ValueInterface
+class StringParameter : public ParserParameter,  virtual public ParserValueInterface
 {
 public:
@@ -42,5 +42,5 @@
       { return !((*this)==(_instance)); }
 
-  Parameter* clone() const;
+  ParserParameter* clone() const;
 
 private:
Index: src/Parser/Parameters/ValueInterface.hpp
===================================================================
--- src/Parser/Parameters/ValueInterface.hpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/ValueInterface.hpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -6,6 +6,6 @@
  */
 
-#ifndef VALUEINTERFACE_HPP_
-#define VALUEINTERFACE_HPP_
+#ifndef PARSERVALUEINTERFACE_HPP_
+#define PARSERVALUEINTERFACE_HPP_
 
 // include config.h
@@ -17,8 +17,8 @@
  *
  */
-class ValueInterface
+class ParserValueInterface
 {
 public:
-  virtual ~ValueInterface() {};
+  virtual ~ParserValueInterface() {};
 
   virtual bool isValid(const std::string _value) const=0;
@@ -27,3 +27,3 @@
 };
 
-#endif /* VALUEINTERFACE_HPP_ */
+#endif /* PARSERVALUEINTERFACE_HPP_ */
Index: src/Parser/Parameters/unittests/ParameterStorageUnitTest.cpp
===================================================================
--- src/Parser/Parameters/unittests/ParameterStorageUnitTest.cpp	(revision 006e1ed7d5cc4416cfbfad21491bcfc0fcdda3ce)
+++ src/Parser/Parameters/unittests/ParameterStorageUnitTest.cpp	(revision 0b84b9486df4dbb31f498b9239fc74baf9788d4b)
@@ -53,6 +53,6 @@
     ValidValues.push_back(i);
   range<double> ValidRange(1., 4.);
-  Parameter *intParam = new DiscreteParameter<int>("intParam", ValidValues);
-  Parameter *doubleParam = new ContinuousParameter<double>("doubleParam", ValidRange);
+  ParserParameter *intParam = new DiscreteParameter<int>("intParam", ValidValues);
+  ParserParameter *doubleParam = new ContinuousParameter<double>("doubleParam", ValidRange);
   // note: delete is done by registry in tearDown ...
 
